ServiceSetup (install4j API)
Keywords: com.install4j.api.ServiceSetup interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.install4j.api
Interface ServiceSetup

    public interface ServiceSetup

The interface that provides information about the installation of services. Returned by `InstallerContext.getServiceSetups()`.

Author:
  ej-technologies GmbH

Method Summary
`java.lang.String` | `getRelativeFileName()` Returns the relative executable file name of the service with regard to the installation directory.
`boolean` | `isInstall()` Returns whether the service will be installed.
`boolean` | `isStartOnBoot()` Returns whether the service will be started on bootup.
`void` | `setInstall(boolean install)` Sets whether the service should be installed or not.
`void` | `setStartOnBoot(boolean startOnBootup)` Sets whether the service should be started on bootup or not.

Method Detail

### isInstall

    boolean isInstall()

  Returns whether the service will be installed.

  Returns:
    `true` if the service will be installed.

### setInstall

    void setInstall(boolean install)

  Sets whether the service should be installed or not.

  Parameters:
    `install` - the new state

### isStartOnBoot

    boolean isStartOnBoot()

  Returns whether the service will be started on bootup. Only applies to Microsoft Windows.

  Returns:
    `true` if the service will be started on bootup.

### setStartOnBoot

    void setStartOnBoot(boolean startOnBootup)

  Sets whether the service should be started on bootup or not. Only applies to Microsoft Windows.

  Parameters:
    `startOnBootup` - the new state

### getRelativeFileName

    java.lang.String getRelativeFileName()

  Returns the relative executable file name of the service with regard to the installation directory. This is a value known at project definition time and allows you to identify the service.

  Returns:
    the relative file name.

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD